Help coderanch get a
new server
by contributing to the fundraiser
  • Post Reply Bookmark Topic Watch Topic
  • New Topic
programming forums Java Mobile Certification Databases Caching Books Engineering Micro Controllers OS Languages Paradigms IDEs Build Tools Frameworks Application Servers Open Source This Site Careers Other Pie Elite all forums
this forum made possible by our volunteer staff, including ...
Marshals:
  • Campbell Ritchie
  • Jeanne Boyarsky
  • Ron McLeod
  • Paul Clapham
  • Liutauras Vilda
Sheriffs:
  • paul wheaton
  • Rob Spoor
  • Devaka Cooray
Saloon Keepers:
  • Stephan van Hulst
  • Tim Holloway
  • Carey Brown
  • Frits Walraven
  • Tim Moores
Bartenders:
  • Mikalai Zaikin

meaning of deprecated main?

 
Ranch Hand
Posts: 197
  • Mark post as helpful
  • send pies
    Number of slices to send:
    Optional 'thank-you' note:
  • Quote
  • Report post to moderator
pls what does this mean

500 Servlet Exception

Note: sun.tools.javac.Main has been deprecated.
...

I keep getting this is my stack trace.

Does it mean that the servlet container is using a different version of JSP/Servlet than the app was developed in?
 
Ranch Hand
Posts: 41
  • Mark post as helpful
  • send pies
    Number of slices to send:
    Optional 'thank-you' note:
  • Quote
  • Report post to moderator
What version of jdk are you using? Try using an older version than u are currently using.
 
Rancher
Posts: 13459
Android Eclipse IDE Ubuntu
  • Mark post as helpful
  • send pies
    Number of slices to send:
    Optional 'thank-you' note:
  • Quote
  • Report post to moderator
Which container are you using, is the most recent version?
Have you updated your JDK recently?
Do you have tools.jar added to your classpath?
 
kwame Iwegbue
Ranch Hand
Posts: 197
  • Mark post as helpful
  • send pies
    Number of slices to send:
    Optional 'thank-you' note:
  • Quote
  • Report post to moderator
I am using both Tomcat 5.5 and Resin 2.1.17- which I know supports upto J2SE 1.4/Servlet 2.3. I'm developing with Eclipse 3.1 and WTP v1.0 pluggin- using J2SE 1.5 and servlet 2.4. But even when I switch to v1.4, i still get same message.

When I run the app using Tomcat- no error message, but with resin I'm getting 500 Exception...deprecated main.

Also, I haven't explicitly added tools.jar to classpath. do I have to?

pls help. I am totally stumped!!
[ June 09, 2006: Message edited by: kwame Iwegbue ]
 
David O'Meara
Rancher
Posts: 13459
Android Eclipse IDE Ubuntu
  • Mark post as helpful
  • send pies
    Number of slices to send:
    Optional 'thank-you' note:
  • Quote
  • Report post to moderator
Are you sure this is the only message? The examples I have seen with this error have the warning and then the actual error. I think the deprecated message is a warning and not the actual problem.
 
kwame Iwegbue
Ranch Hand
Posts: 197
  • Mark post as helpful
  • send pies
    Number of slices to send:
    Optional 'thank-you' note:
  • Quote
  • Report post to moderator
This is the full report:



This same application works just fine using Tomcat 5.5 on same JVM (same classpath settings)
 
If you try to please everybody, your progress is limited by the noisiest fool. And this tiny ad:
We need your help - Coderanch server fundraiser
https://coderanch.com/t/782867/Coderanch-server-fundraiser
reply
    Bookmark Topic Watch Topic
  • New Topic